# JS: Angular 11: Deprecated karma-coverage-istanbul-reporter

Starting Angular 11, the karma-coverage-istanbul-reporter has been deprecated. In order to solve this, you can use [karma-coverage](https://www.npmjs.com/package/karma-coverage).

In order to configure this, please do the following:

1. Install the karma-coverage package - `npm install karma karma-coverage`
2. Update the karma.conf.js file and modify the `coverageIstanbulReporter` to `coverageReporter` and use the `type: 'json'` find below an example of such a reporter configuration

{% code overflow="wrap" lineNumbers="true" %}

```
coverageReporter: {
      dir: 'build/reports/coverage',
      reporters: [
        { type: 'json', subdir: 'report-json' }
      ]
    },
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sealights.io/knowledgebase/setup-and-configuration/troubleshooting-faq/node-javascript/js-angular-11-deprecated-karma-coverage-istanbul-reporter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
